package com.ms.biz.service.impl;

import com.ms.dal.entity.DoudianAftersaleMsgQueue;
import com.ms.biz.service.DoudianAftersaleMsgQueueService;
import com.ms.dal.mapper.DoudianAftersaleMsgQueueMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class DoudianAftersaleMsgQueueServiceImpl implements DoudianAftersaleMsgQueueService{

    @Autowired
    private DoudianAftersaleMsgQueueMapper doudianAftersaleMsgQueueMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return doudianAftersaleMsgQueueMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(DoudianAftersaleMsgQueue record) {
        return doudianAftersaleMsgQueueMapper.insert(record);
    }

    @Override
    public int insertSelective(DoudianAftersaleMsgQueue record) {
        return doudianAftersaleMsgQueueMapper.insertSelective(record);
    }

    @Override
    public DoudianAftersaleMsgQueue selectByPrimaryKey(Long id) {
        return doudianAftersaleMsgQueueMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(DoudianAftersaleMsgQueue record) {
        return doudianAftersaleMsgQueueMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(DoudianAftersaleMsgQueue record) {
        return doudianAftersaleMsgQueueMapper.updateByPrimaryKey(record);
    }

}




